package backend;

/**
 * <p>berschrift: </p>
 * <p>Beschreibung: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Organisation: </p>
 * @author unbekannt
 * @version 1.0
 */



/*  "... AsmStatement extends TreeNode...", ist hier aber
 *  berflssig, da (Listenelement) Statement keine
 *  Kinder haben soll/darf.
 */

public abstract class AsmStatement {

  protected int pos;
  protected int length;
  protected int userData;

  public static final byte NOP = (byte)(0x90);



  public AsmStatement() {
    pos = 0;
    length = 8;
  }


  public abstract String toString();

  public String toStringList() {
      String retval;
      if (pos==0) {
        retval = "";
      } else {
        retval = "<" + String.valueOf(pos) + "> ";
      }
      retval += this.toString();
      return retval;
  }


  public void setUserDataOffset(int off) {
    userData = off;
  }


  public int getPos() {
    return this.pos;
  }

  public void setPos(int newPos) {
    this.pos = newPos;
  }

  public int getLength() {
    return this.length;
  }

  public void setLength(int newLength) {
    this.length = newLength;
  }

  public byte[] getCode (byte[] list, int off) {
    int i;
    for (i=0;i<length;i++) {
      list[off+i] = NOP;
    }
    System.out.println("AsmStatement.getCode(): ERROR: Assembler-Statement not implemented, binar file will be buggy!   gez. "+toString());
    return list;
  }

}
