package intermediate.visualize;

import intermediate.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.tree.*;

public class JTreeIntermediateFrame extends JFrame {

    static final int POS_X = 500;
    static final int POS_Y = 300;
    static final int WIDTH = 500;
    static final int HEIGHT = 300;

    private JTreeIntermediatePanel jtip;

    public JTreeIntermediateFrame(String title, JTreeIntermediatePanel jtip) {
        super(title);
        this.jtip = jtip;
        setContentPane(jtip);
        setBounds(POS_X, POS_Y, WIDTH, HEIGHT);
        setVisible(true);
    }

    public JTreeIntermediatePanel getPanel() {
        return jtip;
    }

}
