package backend.operators;

import backend.AsmStatement;

public class AsmLabel extends AsmStatement {

  private static int countup = 1;
  private int id;
  private String name;

  public AsmLabel(String name) {
    this.id = countup;
    this.name = name;
    this.length = 0;
    countup++;
  }

  public String getName() {return name;}

  public String toString() {
      return "LABEL " + String.valueOf(id) +": "+name;
  }

  public boolean is(String compare) {
    return compare.equals(this.name);
/*    return compare.compareTo(this.name);
    if (compare==name) return true;
    else return false;*/
  }

  public byte[] getCode (byte[] list, int off) {
    return list;
  }

}
