package frontend.symbol;

/**
 * Instanzen dieser Klasse stehen fr eine Prozedurdeklaration. Prozeduren erffnen einen neuen
 * Sichtbarkeitsbereich und sind daher von ScopeDef abgeleitet.
 */
public class ProcedureDef extends ScopeDef {

    /**
     * Konstruktor
     */
    ProcedureDef(String name, Occurrence occ, ScopeDef parentScope) {
        super(name, occ, parentScope);
    }

    /**
     * Liefert den Typ der Definition zurck, Symbol.SYMBOL_CONST;
     */
    public int getType() {
        return Symbol.SYMBOL_PROC;
    }

    public String toString() {
        return "procedure " + getName();
    }

}
