package intermediate.frame;

import intermediate.Temp;
import java.util.*;

public abstract class Frame {

    public static final int STATIC_LINK = 0;
    public static final int DYNAMIC_LINK = 1;
    public static final int RETURN_ADDRESS = 2;

    public abstract Temp fp();
    public abstract int wordSize();
    public abstract int getNumberOfFields();
    public abstract int getNumberOfConsts();
    public abstract ArrayList getFields();
    public abstract int getField(int i);
    public abstract void setField(int i, int value);
    public abstract Frame createClone();

    public int getMinOffset() {
        return 3;
    };

}